{{- if and (.Values.service.enabled) (eq .Values.service.type "LoadBalancer") }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "powerdns.fullname" . }}-master-tcp
  labels:
    {{- include "powerdns.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  {{- with .Values.service.ClusterIP }}
  clusterIP: {{ . }}
  {{- end }}
  {{- with .Values.service.loadBalancerIP }}
  loadBalancerIP: {{ . }}
  {{- end }}
  {{ if or (eq "NodePort" .Values.service.type ) (eq "LoadBalancer" .Values.service.type) }}
  {{- with .Values.service.externalTrafficPolicy }}
  externalTrafficPolicy: {{ . }}
  {{- end }}
  {{- end }}
  {{- with .Values.service.externalIPs }}
  externalIPs:
{{ . | toYaml | nindent 4 }}
  {{- end }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: tcp
      protocol: TCP
      name: tcp
  selector:
    powerdns.cocaine.farm/role: master
    {{- include "powerdns.selectorLabels" . | nindent 4 }}
---
apiVersion: v1
kind: Service
metadata:
  name: {{ include "powerdns.fullname" . }}-master-udp
  labels:
    {{- include "powerdns.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  {{- with .Values.service.ClusterIP }}
  clusterIP: {{ . }}
  {{- end }}
  {{- with .Values.service.loadBalancerIP }}
  loadBalancerIP: {{ . }}
  {{- end }}
  {{ if or (eq "NodePort" .Values.service.type ) (eq "LoadBalancer" .Values.service.type) }}
  {{- with .Values.service.externalTrafficPolicy }}
  externalTrafficPolicy: {{ . }}
  {{- end }}
  {{- end }}
  {{- with .Values.service.externalIPs }}
  externalIPs:
{{ . | toYaml | nindent 4 }}
  {{- end }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: udp
      protocol: UDP
      name: udp
  selector:
    powerdns.cocaine.farm/role: master
    {{- include "powerdns.selectorLabels" . | nindent 4 }}
{{- end }}
